CWIS Developer Documentation

- Home
- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
SPTRecommender Class Reference
Inheritance diagram for SPTRecommender:
[legend]
Collaboration diagram for SPTRecommender:
[legend]

## Public Member Functions
| SPTRecommender ()
| GetFieldValue ($ItemId, $FieldName)
| QueueUpdateForItem ($ItemId, $TaskPriority=ApplicationFramework::PRIORITY_BACKGROUND)
Public Member Functions inherited from Recommender
| Recommender (&$DB, $ItemTableName, $RatingTableName, $ItemIdFieldName, $UserIdFieldName, $RatingFieldName, $ContentFields)
| DebugLevel ($Setting)
| Recommend ($UserId, $StartingResult=0, $NumberOfResults=10)
| AddResultFilterFunction ($FunctionName)
| NumberOfResults ()
| SearchTime ()
| GetSourceList ($UserId, $RecommendedItemId)
| FindSimilarItems ($ItemId, $FieldList=NULL)
| RecommendFieldValues ($ItemId, $FieldList=NULL)
| UpdateForItems ($StartingItemId, $NumberOfItems)
| UpdateForItem ($ItemId, $FullPass=FALSE)
| DropItem ($ItemId)
| PruneCorrelations ()
| GetItemIds ()
| Retrieve all item IDs. More...
| LoadItemIds ()
| GetFieldData ($ItemId, $FieldName)
| CalculateContentCorrelation ($ItemIdA, $ItemIdB, $FieldList=NULL)
| UpdateContentCorrelation ($ItemIdA, $ItemIdB)
| NormalizeAndParseText ($Text)
| CalcTextCorrelation ($WordsA, $WordsB)
| ContentCorrelation ($ItemIdA, $ItemIdB, $NewCorrelation=-1)
| FilterOnSuppliedFunctions ($Results)

## Static Public Member Functions
static | RunUpdateForItem ($SourceItemId, $StartingIndex)

## Additional Inherited Members
Public Attributes inherited from Recommender
const | CONTENTFIELDTYPE_TEXT = 1
const | CONTENTFIELDTYPE_NUMERIC = 2
const | CONTENTFIELDTYPE_CONTROLLEDNAME = 3
const | CONTENTFIELDTYPE_DATE = 4
const | CONTENTFIELDTYPE_DATERAMGE = 5
| $ContentCorrelationThreshold
| $ContentFields
| $ItemTableName
| $RatingTableName
| $ItemIdFieldName
| $UserIdFieldName
| $RatingFieldName
| $ItemIds
| $DB
| $FilterFuncs
| $LastSearchTime
| $NumberOfResultsAvailable
| $DebugLevel

## Detailed Description

Definition at line 10 of file SPTRecommender.php.

## Member Function Documentation

SPTRecommender::GetFieldValue | ( |  | $ItemId,
|  |  | $FieldName
| ) |  |

Definition at line 93 of file SPTRecommender.php.

SPTRecommender::QueueUpdateForItem | ( |  | $ItemId,
|  |  | $TaskPriority = `ApplicationFramework::PRIORITY_BACKGROUND`
| ) |  |

Definition at line 118 of file SPTRecommender.php.

static SPTRecommender::RunUpdateForItem | ( |  | $SourceItemId,
|  |  | $StartingIndex
| ) |  |
| static

Definition at line 129 of file SPTRecommender.php.

References ApplicationFramework\PRIORITY_LOW, and SPTRecommender().

SPTRecommender::SPTRecommender | ( |  | ) |

Definition at line 12 of file SPTRecommender.php.

References Recommender\$DB, Recommender\$ItemIdFieldName, Recommender\$ItemTableName, Recommender\$RatingFieldName, Recommender\$RatingTableName, Recommender\$UserIdFieldName, Recommender\CONTENTFIELDTYPE_DATE, Recommender\CONTENTFIELDTYPE_NUMERIC, Recommender\CONTENTFIELDTYPE_TEXT, MetadataSchema\MDFTYPE_CONTROLLEDNAME, MetadataSchema\MDFTYPE_DATE, MetadataSchema\MDFTYPE_FILE, MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_IMAGE, MetadataSchema\MDFTYPE_NUMBER, MetadataSchema\MDFTYPE_OPTION, MetadataSchema\MDFTYPE_PARAGRAPH, MetadataSchema\MDFTYPE_TEXT, MetadataSchema\MDFTYPE_TIMESTAMP, MetadataSchema\MDFTYPE_TREE, MetadataSchema\MDFTYPE_URL, MetadataSchema\MDFTYPE_USER, and Recommender\Recommender().

Referenced by RunUpdateForItem().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- objects/SPTRecommender.php